petsc-3.10.5 2019-03-28
Report Typos and Errors

# PETSC_HASH_SET

Instantiate a PETSc hash table set type

### Synopsis

    #include <petsc/private/hashset.h>
    PETSC_HASH_SET(HSetT, KeyType, HashFunc, EqualFunc)

### Input Parameters

| HSetT | - The hash table set type name suffix
| KeyType | - The type of entries
| HashFunc | - Routine or function-like macro computing hash values from entries
| EqualFunc | - Routine or function-like macro computing whether two values are equal

### Keywords

hash table, set

### See Also

PetscHSetT, PetscHSetTCreate()

### Level

developer

### Location

include/petsc/private/hashset.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages